org.jboss.netty.logging

## Class Log4JLoggerFactory

- java.lang.Object
- - org.jboss.netty.logging.InternalLoggerFactory
  - - org.jboss.netty.logging.Log4JLoggerFactory

    public class Log4JLoggerFactory
    extends InternalLoggerFactory

Logger factory which creates an Apache Log4J logger.

### Constructor Summary

Constructors
Constructor and Description
`Log4JLoggerFactory()`

### Method Summary

Methods
`InternalLogger` `newInstance(String name)` Creates a new logger instance with the specified name.

### Methods inherited from class org.jboss.netty.logging.InternalLoggerFactory

`getDefaultFactory, getInstance, getInstance, setDefaultFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Log4JLoggerFactory

    public Log4JLoggerFactory()

### Method Detail

#### newInstance

    public InternalLogger newInstance(String name)

Description copied from class: `InternalLoggerFactory`
Creates a new logger instance with the specified name.

Specified by:
  `newInstance` in class `InternalLoggerFactory`